| Recurso | Descripción |
|---|---|
| AccountBundles | Access to subscriptions in an account bundle |
| Apple Watch | Access to Apple Watch Subscriptions |
| Credit Limits | Access to subscription credit limits |
| Devices | Access to subscriptions devices |
| Fraud Requests | Access to fraud requests |
| FreeUnitsPackages | Access to free units packages |
| Promotions | Access to promotions |
| Segments | Access to subscription segments |
| Subscription Commercial Products | Access to subscription commercial products |
| Subscriptions | Access to subscriptions |
| Contracts |
| Recurso | Descripción |
|---|---|
| AccountBundles | Access to subscriptions in an account bundle |
| Apple Watch | Access to Apple Watch Subscriptions |
| Credit Limits | Access to subscription credit limits |
| Devices | Access to subscriptions devices |
| Fraud Requests | Access to fraud requests |
| FreeUnitsPackages | Access to free units packages |
| Promotions | Access to promotions |
| Segments | Access to subscription segments |
| Subscription Commercial Products | Access to subscription commercial products |
| Subscriptions | Access to subscriptions |
| Contracts |
Returns details of an account bundle
PATH PARAMETERS
Organization name
Account Bundle Id
QUERY PARAMETERS
Pagination offset
Pagination limit
Whether only active subscriptions should be retrieved
OK OK
{
"id": 1233094,
"account_id": 1233094,
"status": "ACTIVE",
"activation_date": "2017-09-15T22:00:00Z",
"deactivation_date": "2017-09-15T22:00:00Z",
"cancellation_date": "2017-09-15T22:00:00Z",
"bundle_id": 3072,
"bundled_subscriptions": [
{
"id": 1233094,
"subscription_id": 3821002,
"status": "ACTIVE",
"subscription_type": "MOBILE",
"commercial_product_id": 3073,
"creation_date": "2017-09-15T22:00:00Z",
"deactivation_date": "2017-09-15T22:00:00Z",
"is_main": true
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | string | Internal CRM unique account bundle identifier | |||||||||||||||||||||||||||||||||||||||||||||||
account_id* | string | internal unique identifier of the billable account the account bundle belongs to | |||||||||||||||||||||||||||||||||||||||||||||||
status* | string
()
SALEINCOMPLETESALECOMPLETEPRE-ACTIVEACTIVEPENDINGDEACTIVATIONPENDINGCANCELLATIONDEACTIVATEDCANCELLEDSALEREJECTEDSALECREATED | subscription status.Mapping between Mysim and MasSubscriptions status <ul> <li> INSTALADO (1) -> SALEINCOMPLETE, SALECOMPLETE, SALECREATED </li> <li> PRE-ACTIVADO (2) -> PRE-ACTIVE </li> <li> ACTIVO (3) -> ACTIVE </li> <li> BLOQUEO POR SALDO (4) -> ACTIVE (with services barred) </li> <li> TERMINADO (6) > DEACTIVATED, CANCELLED, SALEREJECTED </li> <li> BLOQUEO TEMPORAL (7) -> ACTIVE (with services barred) </li> <li> PENDIENTE TERMINACION (9) -> PENDINGDEACTIVATION </li> <li> BLOQUEO LIMITE CONSUMO (10) -> ACTIVE (with services barred) </li> <li> BLOQUEO POR IMPAGO (12) -> ACTIVE (with services barred) </li> <li> SUSPENSION PENDIENTE (39) -> ACTIVE </li> <li> RECONEXION PENDIENTE (40) -> ACTIVE (with services barred) </li> <li> PENDIENTE BLOQUEO TEMPORAL (50) -> ACTIVE </li> </ul> | |||||||||||||||||||||||||||||||||||||||||||||||
activation_date | string (date-time) | activation date (Mysim ActivateDate) | |||||||||||||||||||||||||||||||||||||||||||||||
deactivation_date | string (date-time) | deactivation date (Mysim EndDate) | |||||||||||||||||||||||||||||||||||||||||||||||
cancellation_date | string (date-time) | deactivation date (Mysim EndDate for deactivated subscriptions which have not been activated) | |||||||||||||||||||||||||||||||||||||||||||||||
bundle_id* | string | catalogue bundle id (Mysim accountBundleCfgId) | |||||||||||||||||||||||||||||||||||||||||||||||
bundled_subscriptions | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||
Not Found A bundle with the specified id was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://subscriptions.masstack.com/v1/orgs/masmovil/account_bundles/3821002?offset=0&limit=200&only_active_subscriptions=false' \
-H 'Accept: application/json' Starts the process of selling a multi-sim
PATH PARAMETERS
Organization name
account bundle identifier
{
"customer_id": 1234,
"account_id": 10096875,
"sale_details": {
"date": "2017-09-15T22:00:00Z",
"delivery_method": "OFFLINE",
"user_name": "test@test",
"scoring": {
"id": "m",
"value": ""
},
"signature": {
"id": "t",
"type": "BIOMETRIC"
}
},
"commercial_product_id": "1",
"main_subscription_id": 7024858,
"numeration_type": "NEW",
"imsi": 214035453370793,
"iccid": 8934011411551283000,
"free_units_packages": [
{
"id": "1"
},
{
"id": "2"
}
],
"promotions": [
{
"id": "3"
},
{
"id": "4"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
customer_id* | string | Customer identifier | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
account_id* | string | account identifier | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
sale_details* | object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
commercial_product_id* | string | Commercial product identifier | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
main_subscription_id* | string | Subscription identifier from an existent mobile subscription | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
numeration_type* | string
()
NEWOUTER_PORTABILITYINNER_PORTABILITYUNKNOWN | numeration type name. Mapping between Mysim origin and MasSubscriptions numeration_type <ul> <li> OriginId=1 -> Nuevo numero -> NEW </li> <li> Origin=2 -> Numero portado -> OUTER_PORTABILITY </li> <li> OriginId=10 -> Numero entre marcas -> INNER_PORTABILITY </li> <li> Others -> UNKNOWN -> UNKNOWN </li> </ul> | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
imsi* | string | International Mobile Subscriber Identity associated to the mobile subscription | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
iccid* | string | Circuit Card Identification Number associated to the SIM card | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
free_units_packages | object[] | list of free units packages included in the sale | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
promotions | object[] | list of promotions included in the sale | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Created Sell process for multi-sim subscription successfully accepted
{
"subscription_id": 3819912
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
subscription_id | string | subscription id created in the sale |
Bad Request Invalid body
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found A subscription or an account bundle with the specified ids was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://subscriptions.masstack.com/v1/orgs/masmovil/account_bundles/1/multisim/sell' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"customer_id": 1234,
"account_id": 10096875,
"sale_details": {
"date": "2017-09-15T22:00:00Z",
"delivery_method": "OFFLINE",
"user_name": "test@test",
"scoring": {
"id": "m",
"value": ""
},
"signature": {
"id": "t",
"type": "BIOMETRIC"
}
},
"commercial_product_id": "1",
"main_subscription_id": 7024858,
"numeration_type": "NEW",
"imsi": 214035453370793,
"iccid": 8934011411551283000,
"free_units_packages": [
{
"id": "1"
},
{
"id": "2"
}
],
"promotions": [
{
"id": "3"
},
{
"id": "4"
}
]
}' Starts the process of deactivating a multi-sim
PATH PARAMETERS
Organization name
subscription identifier
{
"deactivation_reason": "Not_wanted",
"deactivation_user": "test@test.com",
"requested_deactivation_date": "2023-03-15T22:00:00Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
deactivation_reason* | string | Deactivation reason text or id as a string | ||
deactivation_user | string | User that requests the deactivation | ||
requested_deactivation_date | string (date-time) | deactivation date |
Accepted Deactivation process for multi-sim subscription successfully accepted
Bad Request Invalid body
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found A subscription with the specified ids was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://subscriptions.masstack.com/v1/orgs/masmovil/multisim/1/deactivate' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"deactivation_reason": "Not_wanted",
"deactivation_user": "test@test.com",
"requested_deactivation_date": "2023-03-15T22:00:00Z"
}' Starts the process of selling a device-insurance
PATH PARAMETERS
Organization name
account bundle identifier
{
"customer_id": 1234,
"account_id": 10096875,
"sale_details": {
"date": "2017-09-15T22:00:00Z",
"delivery_method": "OFFLINE",
"user_name": "test@test",
"scoring": {
"id": "m",
"value": ""
},
"signature": {
"id": "t",
"type": "BIOMETRIC"
}
},
"commercial_product_id": "1",
"subscription_id": 7024858,
"subscription_device_id": 9024858,
"promotions": [
{
"id": "3"
},
{
"id": "4"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
customer_id* | string | Customer identifier | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
account_id* | string | account identifier | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
sale_details* | object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
commercial_product_id* | string | Commercial product identifier | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
subscription_id* | string | SubscriptionId associated to the SubscriptionDeviceId | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
subscription_device_id* | string | SubscriptionDeviceId from insured device | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
promotions | object[] | list of promotions included in the sale | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Created Sell process for device-insurance subscription successfully accepted
{
"subscription_id": 3819912
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
subscription_id | string | subscription id created in the sale |
Bad Request Invalid body
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found A subscription or an account bundle with the specified ids was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://subscriptions.masstack.com/v1/orgs/masmovil/account_bundles/1/device_insurance/sell' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"customer_id": 1234,
"account_id": 10096875,
"sale_details": {
"date": "2017-09-15T22:00:00Z",
"delivery_method": "OFFLINE",
"user_name": "test@test",
"scoring": {
"id": "m",
"value": ""
},
"signature": {
"id": "t",
"type": "BIOMETRIC"
}
},
"commercial_product_id": "1",
"subscription_id": 7024858,
"subscription_device_id": 9024858,
"promotions": [
{
"id": "3"
},
{
"id": "4"
}
]
}' Starts the deactivation process of a device-insurance
PATH PARAMETERS
Organization name
device insurance subscription identifier
{
"deactivation_reason": "BAJA VOLUNTARIA",
"deactivation_user": "test@test.com",
"requested_deactivation_date": "2017-09-15T22:00:00Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
deactivation_reason* | string | Deactivation reason text or id as a string | ||
deactivation_user | string | User that requests the deactivation | ||
requested_deactivation_date | string (date-time) | deactivation date |
Accepted Deactivation process for device-insurance subscription successfully accepted
Bad Request Invalid body
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found A subscription with the specified id was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://subscriptions.masstack.com/v1/orgs/masmovil/device_insurance/1/deactivate' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"deactivation_reason": "BAJA VOLUNTARIA",
"deactivation_user": "test@test.com",
"requested_deactivation_date": "2017-09-15T22:00:00Z"
}' Starts the cancellation process of a device-insurance
PATH PARAMETERS
Organization name
device insurance subscription identifier
{
"cancellation_reason": "BAJA VOLUNTARIA",
"cancellation_user": "test@test.com",
"requested_cancellation_date": "2017-09-15T22:00:00Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
cancellation_reason* | string | Cancellation reason text or id as a string | ||
cancellation_user | string | User that requests the cancellation | ||
requested_cancellation_date | string (date-time) | cancellation date |
Accepted Cancellation process for device-insurance subscription successfully accepted
Bad Request Invalid body
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found A subscription with the specified id was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://subscriptions.masstack.com/v1/orgs/masmovil/device_insurance/1/cancel' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"cancellation_reason": "BAJA VOLUNTARIA",
"cancellation_user": "test@test.com",
"requested_cancellation_date": "2017-09-15T22:00:00Z"
}' Starts the process of selling an Apple Watch
PATH PARAMETERS
Organization name
{
"main_subscription_id": "7024858",
"commercial_product_id": "1",
"imsi": "214035453370793",
"iccid": "8934011411551283000",
"free_units_packages": [
{
"id": "1"
},
{
"id": "2"
}
],
"promotions": [
{
"id": "3"
},
{
"id": "4"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
main_subscription_id* | string | Subscription identifier from an existent mobile subscription | ||||||||||||
commercial_product_id* | string | Commercial product identifier | ||||||||||||
imsi* | string | International Mobile Subscriber Identity associated to the AppleWatch subscription | ||||||||||||
iccid* | string | Circuit Card Identification Number associated to the SIM card | ||||||||||||
sale_details | object | |||||||||||||
| ||||||||||||||
free_units_packages | object[] | list of free units packages included in the sale | ||||||||||||
Array items:
| ||||||||||||||
promotions | object[] | list of promotions included in the sale | ||||||||||||
Array items:
| ||||||||||||||
Created Sell process for AppleWatch subscription successfully accepted
{
"subscription_id": 3819912
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
subscription_id | string | subscription id created in the sale |
Bad Request Invalid body
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found A subscription or an account bundle with the specified ids was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://subscriptions.masstack.com/v1/orgs/masmovil/apple_watch/sell' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"main_subscription_id": "7024858",
"commercial_product_id": "1",
"imsi": "214035453370793",
"iccid": "8934011411551283000",
"free_units_packages": [
{
"id": "1"
},
{
"id": "2"
}
],
"promotions": [
{
"id": "3"
},
{
"id": "4"
}
]
}' Deactivate Apple Watch subscription for a given subscriptionId
PATH PARAMETERS
Organization name
Subscription Id
{
"deactivation_reason": "1234",
"deactivation_user": "test@test.com",
"requested_deactivation_date": "2017-09-15T22:00:00Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
deactivation_reason* | string | Deactivation reason text or id as a string | ||
deactivation_user | string | User that requests the deactivation | ||
requested_deactivation_date | string (date-time) | deactivation date |
Accepted Apple Watch subscription successfully cancelled
Not Found A subscription with the specified id was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://subscriptions.masstack.com/v1/orgs/masmovil/apple_watch/3821002/deactivate' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"deactivation_reason": "1234",
"deactivation_user": "test@test.com",
"requested_deactivation_date": "2017-09-15T22:00:00Z"
}' Get subscription credit limits by subscription id
PATH PARAMETERS
Organization name
Subscription Id
OK OK. Empty list if the correspondent subscription does not have credit limits
[
{
"subscription_id": 3821002,
"credit_limit_id": "MOBILE_SUBSCRIPTION_TOTAL_CREDIT_LIMIT",
"credit_limit_value": 87.264463,
"user_name": "test@test.com",
"change_reason": "customer request",
"effective_date": "2017-09-15T22:00:00Z",
"update_date": "2017-09-15T22:00:00Z",
"historical_changes": [
{
"subscription_id": 3821002,
"credit_limit_id": "MOBILE_SUBSCRIPTION_TOTAL_CREDIT_LIMIT",
"credit_limit_value": 87.264463,
"user_name": "test@test.com",
"change_reason": "customer request",
"effective_date": "2017-09-15T22:00:00Z",
"update_date": "2017-09-15T22:00:00Z"
}
]
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
subscription_id* | string | internal subscription id | ||||||||||||||||||||||||||||||||||||||||||
credit_limit_id* | string
()
MOBILE_SUBSCRIPTION_TOTAL_CREDIT_LIMITMOBILE_SUBSCRIPTION_ROAMING_VOICE_CREDIT_LIMITMOBILE_SUBSCRIPTION_PREMIUM_CREDIT_LIMITMOBILE_SUBSCRIPTION_INTERNATIONAL_VOICE_CREDIT_LIMITLANDLINE_SUBSCRIPTION_TOTAL_CREDIT_LIMITLANDLINE_SUBSCRIPTION_PREMIUM_CREDIT_LIMITLANDLINE_SUBSCRIPTION_INTERNATIONAL_VOICE_CREDIT_LIMIT | credit limit id | ||||||||||||||||||||||||||||||||||||||||||
credit_limit_value* | number | credit limit value | ||||||||||||||||||||||||||||||||||||||||||
user_name* | string | user name of the user setting the subscription credit limit (Mysim user login) | ||||||||||||||||||||||||||||||||||||||||||
change_reason | string | subscription credit limit change reason | ||||||||||||||||||||||||||||||||||||||||||
effective_date* | string (date-time) | date when the limit starts to be effective | ||||||||||||||||||||||||||||||||||||||||||
update_date* | string (date-time) | date when the limit value is set | ||||||||||||||||||||||||||||||||||||||||||
historical_changes | object[] | Subscription credit limit historical changes | ||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Bad Request Wrong subscription type
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found A subscription with the specified criteria was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://subscriptions.masstack.com/v1/orgs/masmovil/subscriptions/3821002/credit_limits' \
-H 'Accept: application/json' Create subscription credit limits for a given subscription
PATH PARAMETERS
Organization name
Subscription Id
{
"credit_limits": [
{
"credit_limit_id": "MOBILE_SUBSCRIPTION_TOTAL_CREDIT_LIMIT",
"credit_limit_value": 87.264463,
"user_name": "test@test.com"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
credit_limits* | object[] | minItems: 1 | ||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||
Created Credit Limits creation successfully done
[
{
"credit_limit_id": "MOBILE_SUBSCRIPTION_TOTAL_CREDIT_LIMIT",
"credit_limit_value": 87.264463,
"effective_date": "2017-09-15T22:00:00Z"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
credit_limit_id | string
()
MOBILE_SUBSCRIPTION_TOTAL_CREDIT_LIMITMOBILE_SUBSCRIPTION_ROAMING_VOICE_CREDIT_LIMITMOBILE_SUBSCRIPTION_PREMIUM_CREDIT_LIMITMOBILE_SUBSCRIPTION_INTERNATIONAL_VOICE_CREDIT_LIMITLANDLINE_SUBSCRIPTION_TOTAL_CREDIT_LIMITLANDLINE_SUBSCRIPTION_PREMIUM_CREDIT_LIMITLANDLINE_SUBSCRIPTION_INTERNATIONAL_VOICE_CREDIT_LIMIT | credit limit id | ||
credit_limit_value | number | credit limit value. If not received, default value configured for tenant will be provisioned | ||
effective_date | string (date-time) | date when the limit starts to be effective |
Bad Request Invalid body
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found A subscription with the specified id was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://subscriptions.masstack.com/v1/orgs/masmovil/subscriptions/3821002/credit_limits' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"credit_limits": [
{
"credit_limit_id": "MOBILE_SUBSCRIPTION_TOTAL_CREDIT_LIMIT",
"credit_limit_value": 87.264463,
"user_name": "test@test.com"
}
]
}' Modify subscription credit limits by subscription id
PATH PARAMETERS
Organization name
Subscription Id
{
"subscription_type": "MOBILE",
"credit_limits": [
{
"credit_limit_id": "MOBILE_SUBSCRIPTION_ROAMING_VOICE_CREDIT_LIMIT",
"credit_limit_value": 87.264463,
"change_user": "test@test.com",
"change_reason": "customer request"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
subscription_type* | string
()
MOBILEBROADBANDLANDLINETVSECURITYDATASHARINGMULTISIMDEVICEINSURANCENETFLIXAPPLEWATCHAMAZONPRIMEAGILE_TVMAXORANGETVORANGETVLIBREDISNEY | subscription type name. Mapping between Mysim and MasSubscriptions subscription_type <ul> <li> PRE-PAGO -> MOBILE </li> <li> POST-PAGO -> MOBILE </li> <li> INTERNET FTTH-> BROADBAND </li> <li> INTERNET ADSL -> BROADBAND </li> <li> FIJO ANALOGICO-> LANDLINE </li> <li> FIJO DIGITAL -> LANDLINE </li> <li> AGILE TV -> TV </li> <li> SECURITY -> SECURITY </li> <li> DATASHARING -> DATASHARING </li> <li> MULTISIM -> MULTISIM </li> <li> DEVICEINSURANCE -> DEVICEINSURANCE </li> <li> NETFLIX -> NETFLIX </li> <li> APPLEWATCH -> APPLEWATCH </li> <li> AMAZONPRIME -> AMAZONPRIME </li> <li> MAX -> MAX </li> <li> ORANGE TV -> ORANGETV </li> <li> ORANGE TV LIBRE -> ORANGETVLIBRE </li> <li> DISNEY -> DISNEY </li> <li> AGILE_TV -> AGILE_TV </li> </ul> | |||||||||||||||||||||||||||
credit_limits* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Accepted subscription credit limit modification successfully done
Bad Request Invalid body
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found A subscription with the specified id was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Modification not allowed because of inconsistency with the total credit limit value. This value must be greater or equal than the maximum of the other credit limits
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PATCH 'https://subscriptions.masstack.com/v1/orgs/masmovil/subscriptions/3821002/credit_limits' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"subscription_type": "MOBILE",
"credit_limits": [
{
"credit_limit_id": "MOBILE_SUBSCRIPTION_ROAMING_VOICE_CREDIT_LIMIT",
"credit_limit_value": 87.264463,
"change_user": "test@test.com",
"change_reason": "customer request"
}
]
}' Get default credit limits by org name
PATH PARAMETERS
Organization name
OK OK.
{
"mobile_total": 3821002,
"mobile_roaming_voice": 3821002,
"mobile_premium": 3821002,
"mobile_international_voice": 3821002,
"landline_total": 3821002,
"landline_premium": 3821002,
"landline_international_voice": 3821002
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
mobile_total | number (double) | xxx | ||
mobile_roaming_voice | number (double) | xxx | ||
mobile_premium | number (double) | xxx | ||
mobile_international_voice | number (double) | xxx | ||
landline_total | number (double) | xxx | ||
landline_premium | number (double) | xxx | ||
landline_international_voice | number (double) | xxx |
Not Found An org with the specified criteria was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://subscriptions.masstack.com/v1/orgs/masmovil/credit_limits' \
-H 'Accept: application/json' Get subscription devices details by subscription_id. For now, it only returns sims details no matter if category filter is used or not. It will evolve for returning all types of devices
PATH PARAMETERS
Organization name
subscription unique identifier
QUERY PARAMETERS
device category filter
boolean to indicate if just active device details are required. For retrieving pending and already processed device change requests, use false value
OK OK
[
{
"id": 1233094,
"device_id": "P045A1SNC",
"category": "SIM",
"status": "ACTIVO",
"contract_document_id": "string",
"device_additional_details": {},
"subscription_device_change_requests": [
{
"status": "PROCESSED",
"request_date": "2017-09-15T22:00:00Z",
"user_name": "test@test.com",
"change_reason": "sim lost",
"contract_document_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"fabrication_type": "eSIM",
"iccid": 8934011411551283000,
"imsi": 214035453370793
}
]
}
] | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | string | Internal CRM unique subscription device identifier | |||||||||||||||||||||||||||||||||||||||||||||||
device_id* | string | Catalogue unique device identifier | |||||||||||||||||||||||||||||||||||||||||||||||
category* | string | device category | |||||||||||||||||||||||||||||||||||||||||||||||
status* | string | device status | |||||||||||||||||||||||||||||||||||||||||||||||
contract_document_id | string | Contract Document unique identifier. It can be an id with uuid format that is associated to a document stored within MasDocuments or a legacy pdf file name | |||||||||||||||||||||||||||||||||||||||||||||||
device_additional_details | object | object | ||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||
subscription_device_change_requests | object[] | array of requests associated to the subscription device | |||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||
Not Found A subscription with the specified id was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://subscriptions.masstack.com/v1/orgs/yoigo/subscriptions/5652763/devices?category=SIM&only_active=true' \
-H 'Accept: application/json' Get subscription device by subscription device id
PATH PARAMETERS
Organization name
subscription unique identifier
subscription device unique identifier
QUERY PARAMETERS
boolean to indicate if just active device details are required. For retrieving pending and already processed device change requests, use false value
OK OK
{
"id": 1233094,
"device_id": "P045A1SNC",
"category": "SIM",
"status": "ACTIVO",
"contract_document_id": "string",
"device_additional_details": {},
"subscription_device_change_requests": [
{
"status": "PROCESSED",
"request_date": "2017-09-15T22:00:00Z",
"user_name": "test@test.com",
"change_reason": "sim lost",
"contract_document_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"fabrication_type": "eSIM",
"iccid": 8934011411551283000,
"imsi": 214035453370793
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | string | Internal CRM unique subscription device identifier | |||||||||||||||||||||||||||||||||||||||||||||||
device_id* | string | Catalogue unique device identifier | |||||||||||||||||||||||||||||||||||||||||||||||
category* | string | device category | |||||||||||||||||||||||||||||||||||||||||||||||
status* | string | device status | |||||||||||||||||||||||||||||||||||||||||||||||
contract_document_id | string | Contract Document unique identifier. It can be an id with uuid format that is associated to a document stored within MasDocuments or a legacy pdf file name | |||||||||||||||||||||||||||||||||||||||||||||||
device_additional_details | object | object | ||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||
subscription_device_change_requests | object[] | array of requests associated to the subscription device | |||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||
Not Found A subscription or device with the specified id was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://subscriptions.masstack.com/v1/orgs/yoigo/subscriptions/5652763/devices/5652763?only_active=true' \
-H 'Accept: application/json' Post subscription device replacement operation (i.e. sim replacement request)
PATH PARAMETERS
Organization name
subscription unique identifier
subscription device unique identifier
{
"category": "SIM",
"user_name": "test@test.com",
"change_reason": "sim lost",
"subscription_device_change_request": {
"fabrication_type": "eSIM",
"signature_process_id": "string",
"signature_type": "PAPER",
"iccid": 8934011411551283000,
"imsi": 214035453370793,
"new_iccid": "8934011411551283145",
"new_imsi": "214035453370793"
}
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
category* | string | device category | ||||||||||||||||||||||||||||||||||||||||||
user_name | string | user name of the user performing the subscription device request. If there is a token in place generated with real user credentials, there is no need to send this value since it will be obtained using the token claims | ||||||||||||||||||||||||||||||||||||||||||
change_reason | string | device change reason | ||||||||||||||||||||||||||||||||||||||||||
subscription_device_change_request* | object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
Accepted subscription device change request successfully received
Bad Request Invalid body
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found A subscription or a subscription device with the specified ids were not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict The request could not be completed due to a conflict with the current state of the resource
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://subscriptions.masstack.com/v1/orgs/yoigo/subscriptions/5652763/devices/5652763/replacement' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"category": "SIM",
"user_name": "test@test.com",
"change_reason": "sim lost",
"subscription_device_change_request": {
"fabrication_type": "eSIM",
"signature_process_id": "string",
"signature_type": "PAPER",
"iccid": 8934011411551283000,
"imsi": 214035453370793,
"new_iccid": "8934011411551283145",
"new_imsi": "214035453370793"
}
}' Get filtered fraud requests details by query params. Possible options are
PATH PARAMETERS
Organization name
QUERY PARAMETERS
SaleId filter
SubscriptionId filter
CustomerId filter
AccountId filter
RiskDecision status filter
Date range filter. Must match pattern dd/MM/yyyy,dd/MM/yyyy
OK OK
[
{
"id": 1233094,
"sell_id": 76,
"risk_decision": "A",
"subscriptions": [
{
"subscription_id": 3821002,
"subscription_type": "MOBILE"
}
]
}
] | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | string | Internal unique fraud request id | |||||||||||||||||
sell_id | string | Internal unique sell id | |||||||||||||||||
risk_decision* | string
()
AXDR | fraud request risk decision <ul> <li> X -> Doc required </li> <li> A -> OK </li> <li> D -> Cancelled </li> <li> R -> KO </li> </ul> | |||||||||||||||||
subscriptions | object[] | ||||||||||||||||||
Array items:
| |||||||||||||||||||
Not Found A fraud request with the specified criteria was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://subscriptions.masstack.com/v1/orgs/yoigo/fraud_requests?sale_id=-345652&subscription_id=12345&customer_id=12345&account_id=12345&risk_decision=A&date_range=24%2F06%2F2019%2C25%2F07%2F2019' \
-H 'Accept: application/json' Patch fraud request by fraud_request_id
PATH PARAMETERS
Organization name
fraud request unique identifier
{
"risk_decision": "A",
"risk_level": 3,
"risk_codes": "IH:c(4)s(0)r()v(779)",
"fraud_request_value": 165089515739815,
"status_change_user": "test@test.com",
"status_change_reason": "customer request",
"requested_status_change_date": "2017-09-15T22:00:00Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
risk_decision* | string
()
AXD | fraud request risk decision <ul> <li> X -> Doc required </li> <li> A -> OK </li> <li> D -> Cancelled </li> </ul> | ||
risk_level* | integer (int32) | Value from 0 to 10 | ||
risk_codes | string | risk codes | ||
fraud_request_value | integer (int64) | unique response id | ||
status_change_user | string | user name of the user performing the subscription status change (Mysim user login) | ||
status_change_reason | string | subscription status change reason | ||
requested_status_change_date | string (date-time) | date when the status change must be effective |
Accepted fraud request modification successfully received
Bad Request Invalid body
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found A fraud request with the specified id was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict The request could not be completed due to a conflict with the current state of the resource
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PATCH 'https://subscriptions.masstack.com/v1/orgs/yoigo/fraud_requests/5652763' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"risk_decision": "A",
"risk_level": 3,
"risk_codes": "IH:c(4)s(0)r()v(779)",
"fraud_request_value": 165089515739815,
"status_change_user": "test@test.com",
"status_change_reason": "customer request",
"requested_status_change_date": "2017-09-15T22:00:00Z"
}' Get subscription free units packages by subscription id
PATH PARAMETERS
Organization name
Subscription Id
OK OK. Empty list if the correspondent subscription does not have free units packages
[
{
"id": 1233094,
"free_units_package_id": 76,
"activation_date": "2017-09-15T22:00:00Z",
"deactivation_date": "2017-09-15T22:00:00Z",
"user_name": "test@test.com"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string | Internal CRM unique subscription free units package identifier | ||
free_units_package_id* | string | Catalogue unique free units package identifier | ||
activation_date | string (date-time) | free units package subsciption activation date (Mysim AssociationDate) | ||
deactivation_date | string (date-time) | promotion deactivation date (Mysim EndDate) | ||
user_name* | string | user name of the user who adds the promotion |
Not Found A subscription with the specified criteria was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://subscriptions.masstack.com/v1/orgs/masmovil/subscriptions/3821002/free_units_packages' \
-H 'Accept: application/json' Create promotion
PATH PARAMETERS
Organization name
Subscription Id
{
"id": 1233094,
"promotion_id": 76,
"activation_date": "2017-09-15T22:00:00Z",
"deactivation_date": "2017-09-15T22:00:00Z",
"user_name": "test@test.com",
"value": {
"value": 8.264463,
"currency": "euro"
},
"terms": {
"id": 1233094,
"terms_id": 76,
"start_date": "2017-09-15T22:00:00Z",
"end_date": "2017-09-15T22:00:00Z",
"type": "PermanenceContract",
"commitment_duration": 1
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | string | Internal CRM unique subscription promotion identifier | |||||||||||||||||||||||||||||||||||||
promotion_id* | string | Catalogue unique promotion identifier | |||||||||||||||||||||||||||||||||||||
activation_date* | string (date-time) | promotion activation date (Mysim AssociationDate) | |||||||||||||||||||||||||||||||||||||
deactivation_date | string (date-time) | promotion deactivation date (Mysim EndDate) | |||||||||||||||||||||||||||||||||||||
user_name | string | user name of the user who adds the promotion | |||||||||||||||||||||||||||||||||||||
value | object | ||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||
terms | object | ||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||
Created Promotion creation successfully done
{
"id": 1233094
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | Internal CRM unique subscription promotion identifier |
Bad Request Invalid body
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found A subscription with the specified id was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict with the current status
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://subscriptions.masstack.com/v1/orgs/masmovil/subscriptions/3821002/promotions' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"id": 1233094,
"promotion_id": 76,
"activation_date": "2017-09-15T22:00:00Z",
"deactivation_date": "2017-09-15T22:00:00Z",
"user_name": "test@test.com",
"value": {
"value": 8.264463,
"currency": "euro"
},
"terms": {
"id": 1233094,
"terms_id": 76,
"start_date": "2017-09-15T22:00:00Z",
"end_date": "2017-09-15T22:00:00Z",
"type": "PermanenceContract",
"commitment_duration": 1
}
}' Deactivate promotion
PATH PARAMETERS
Organization name
Subscription Id
Promotion Id
{
"deactivation_date": "2017-09-15T22:00:00Z",
"user_name": "test@test.com",
"status_change_reason": "customer request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
deactivation_date* | string (date-time) | promotion deactivation date (Mysim EndDate) | ||
user_name | string | user name of the user who deactivates the promotion | ||
status_change_reason | string | promotion status change reason |
No Content promotion deactivation successfully done
Bad Request Invalid body
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found A subscription or promotion with the specified id was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict The request could not be completed due to a conflict with the current state of the resource
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://subscriptions.masstack.com/v1/orgs/masmovil/subscriptions/3821002/promotions/6736/deactivate' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"deactivation_date": "2017-09-15T22:00:00Z",
"user_name": "test@test.com",
"status_change_reason": "customer request"
}' Get subscription segments by subscription id
PATH PARAMETERS
Organization name
subscription unique identifier
OK OK
{
"segments": [
{
"segment_id": "SEGMENT_ID",
"segment_value": "SEGMENT_VALUE",
"user_name": "test@test.com",
"change_reason": "customer request",
"effective_date": "2017-09-15T22:00:00Z"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
segments* | object[] | subscription segments | ||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://subscriptions.masstack.com/v1/orgs/yoigo/subscriptions/5652763/segments' \
-H 'Accept: application/json' Create segments
PATH PARAMETERS
Organization name
Subscription Id
{
"segments": [
{
"segment_id": "SEGMENT_ID",
"segment_value": "SEGMENT_VALUE",
"change_user": "test@test.com",
"change_reason": "customer request"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
segments* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
No Content Segments creation successfully done
Bad Request Invalid body
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found A subscription with the specified id was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://subscriptions.masstack.com/v1/orgs/masmovil/subscriptions/3821002/segments' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"segments": [
{
"segment_id": "SEGMENT_ID",
"segment_value": "SEGMENT_VALUE",
"change_user": "test@test.com",
"change_reason": "customer request"
}
]
}' Get commercial product history by subscription id
PATH PARAMETERS
Organization name
subscription unique identifier
OK OK
{
"commercial_product_history": [
{
"history_id": 637746,
"commercial_product_id": 3072,
"start_date": "2017-09-15T22:00:00Z",
"end_date": "2017-09-15T22:00:00Z"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
commercial_product_history | object[] | Commercial Products historical changes | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://subscriptions.masstack.com/v1/orgs/yoigo/subscriptions/5652763/commercial_product_history' \
-H 'Accept: application/json' Get subscriptions details by subscription_id
PATH PARAMETERS
Organization name
subscription unique identifier
OK OK
{
"id": 1233094,
"account_id": 1233094,
"account_bundles": [
{
"account_bundle_id": 1233094,
"status": "ACTIVE",
"creation_date": "2017-09-15T22:00:00Z",
"deactivation_date": "2017-09-15T22:00:00Z"
}
],
"sale_date": "2017-09-15T22:00:00Z",
"sale_type": "SALE",
"user_name": "test@test.com",
"commercial_product_id": 3072,
"billing_type": "POSTPAID",
"subscription_type": "MOBILE",
"subscription_additional_details": {},
"addresses": [
{
"address_type": "INSTALLATION",
"address_lines": [
{
"address_line_name": null,
"address_line_value": null
}
],
"contact_details": {
"contact_name": "string",
"contact_phone_1": "string",
"contact_phone_2": "string",
"contact_email_address": "string",
"contact_identity_document": "string",
"additional_details": "string"
}
}
],
"current_status": "ACTIVE",
"current_status_date": "2017-09-15T22:00:00Z",
"cancellation_reason": {
"deactive_motive": "CANCELACION VENTA",
"reason": "SUBSCRIPTION_NOT_ACTIVATED_AFTER_WAITING_TIME"
},
"status_history": [
{
"status_date": "2017-09-15T22:00:00Z",
"status": "ACTIVE"
}
],
"contract_documents": [
"string"
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | string | Internal CRM unique subscription identifier | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
account_id* | string | internal unique identifier of the billable account the subscripton belongs to | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
account_bundles | object[] | array of account bundles the subscription has been associated to | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
sale_date* | string (date-time) | sale date | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
sale_type* | string
()
SALEADDSUBSCRIPTIONTOBUNDLEMIGRATION | subscription sale type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
user_name | string | user name of the user performing the subscription operation | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
commercial_product_id* | string | unique identifier of the commercial product associated to the subscription | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
billing_type* | string
()
POSTPAIDPREPAID | billing type name | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
subscription_type* | string
()
MOBILEBROADBANDLANDLINETVSECURITYDATASHARINGMULTISIMDEVICEINSURANCENETFLIXAPPLEWATCHAMAZONPRIMEAGILE_TVMAXORANGETVORANGETVLIBREDISNEY | subscription type name. Mapping between Mysim and MasSubscriptions subscription_type <ul> <li> PRE-PAGO -> MOBILE </li> <li> POST-PAGO -> MOBILE </li> <li> INTERNET FTTH-> BROADBAND </li> <li> INTERNET ADSL -> BROADBAND </li> <li> FIJO ANALOGICO-> LANDLINE </li> <li> FIJO DIGITAL -> LANDLINE </li> <li> AGILE TV -> TV </li> <li> SECURITY -> SECURITY </li> <li> DATASHARING -> DATASHARING </li> <li> MULTISIM -> MULTISIM </li> <li> DEVICEINSURANCE -> DEVICEINSURANCE </li> <li> NETFLIX -> NETFLIX </li> <li> APPLEWATCH -> APPLEWATCH </li> <li> AMAZONPRIME -> AMAZONPRIME </li> <li> MAX -> MAX </li> <li> ORANGE TV -> ORANGETV </li> <li> ORANGE TV LIBRE -> ORANGETVLIBRE </li> <li> DISNEY -> DISNEY </li> <li> AGILE_TV -> AGILE_TV </li> </ul> | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
subscription_additional_details | object | object | object | object | object | object | object | object | object | object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
addresses | object[] | array of addresses associated to the subscription | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
current_status* | string
()
SALEINCOMPLETESALECOMPLETEPRE-ACTIVEACTIVEPENDINGDEACTIVATIONPENDINGCANCELLATIONDEACTIVATEDCANCELLEDSALEREJECTEDSALECREATED | subscription status.Mapping between Mysim and MasSubscriptions status <ul> <li> INSTALADO (1) -> SALEINCOMPLETE, SALECOMPLETE, SALECREATED </li> <li> PRE-ACTIVADO (2) -> PRE-ACTIVE </li> <li> ACTIVO (3) -> ACTIVE </li> <li> BLOQUEO POR SALDO (4) -> ACTIVE (with services barred) </li> <li> TERMINADO (6) > DEACTIVATED, CANCELLED, SALEREJECTED </li> <li> BLOQUEO TEMPORAL (7) -> ACTIVE (with services barred) </li> <li> PENDIENTE TERMINACION (9) -> PENDINGDEACTIVATION </li> <li> BLOQUEO LIMITE CONSUMO (10) -> ACTIVE (with services barred) </li> <li> BLOQUEO POR IMPAGO (12) -> ACTIVE (with services barred) </li> <li> SUSPENSION PENDIENTE (39) -> ACTIVE </li> <li> RECONEXION PENDIENTE (40) -> ACTIVE (with services barred) </li> <li> PENDIENTE BLOQUEO TEMPORAL (50) -> ACTIVE </li> </ul> | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
current_status_date | string (date-time) | pre-activation date | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
cancellation_reason | object | cancellation reason | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
status_history | object[] | array of status changes associated to the subscription | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
contract_documents | string[] | array of contract document's ids related to the subscription | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Not Found A subscription with the specified id was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://subscriptions.masstack.com/v1/orgs/yoigo/subscriptions/5652763' \
-H 'Accept: application/json' Patch subscription details by subscription_id
PATH PARAMETERS
Organization name
subscription unique identifier
{
"subscription_type": "MOBILE",
"status_change": {
"status": "ACTIVE",
"status_change_user": "test@test.com",
"status_change_reason": "customer request",
"requested_status_change_date": "2017-09-15T22:00:00Z"
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
subscription_type* | string
()
MOBILEBROADBANDLANDLINETVSECURITYDATASHARINGMULTISIMDEVICEINSURANCENETFLIXAPPLEWATCHAMAZONPRIMEAGILE_TVMAXORANGETVORANGETVLIBREDISNEY | subscription type name. Mapping between Mysim and MasSubscriptions subscription_type <ul> <li> PRE-PAGO -> MOBILE </li> <li> POST-PAGO -> MOBILE </li> <li> INTERNET FTTH-> BROADBAND </li> <li> INTERNET ADSL -> BROADBAND </li> <li> FIJO ANALOGICO-> LANDLINE </li> <li> FIJO DIGITAL -> LANDLINE </li> <li> AGILE TV -> TV </li> <li> SECURITY -> SECURITY </li> <li> DATASHARING -> DATASHARING </li> <li> MULTISIM -> MULTISIM </li> <li> DEVICEINSURANCE -> DEVICEINSURANCE </li> <li> NETFLIX -> NETFLIX </li> <li> APPLEWATCH -> APPLEWATCH </li> <li> AMAZONPRIME -> AMAZONPRIME </li> <li> MAX -> MAX </li> <li> ORANGE TV -> ORANGETV </li> <li> ORANGE TV LIBRE -> ORANGETVLIBRE </li> <li> DISNEY -> DISNEY </li> <li> AGILE_TV -> AGILE_TV </li> </ul> | |||||||||||||||||||||||||||
status_change | object | ||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||
Accepted subscription modification successfully done
Bad Request Invalid body
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found A subscription with the specified id was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict The request could not be completed due to a conflict with the current state of the resource
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PATCH 'https://subscriptions.masstack.com/v1/orgs/yoigo/subscriptions/5652763' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"subscription_type": "MOBILE",
"status_change": {
"status": "ACTIVE",
"status_change_user": "test@test.com",
"status_change_reason": "customer request",
"requested_status_change_date": "2017-09-15T22:00:00Z"
}
}' Get subscriptions details by filter. Possible filters are
PATH PARAMETERS
Organization name
QUERY PARAMETERS
Filter type used for getting subscriptions
The value to apply to the filter_type. Should match what was in the filter, i.e. if filtering on subscription_id use a subscription_id.
OK OK
[
{
"id": 1233094,
"account_id": 1233094,
"account_bundles": [
{
"account_bundle_id": 1233094,
"status": "ACTIVE",
"creation_date": "2017-09-15T22:00:00Z",
"deactivation_date": "2017-09-15T22:00:00Z"
}
],
"sale_date": "2017-09-15T22:00:00Z",
"sale_type": "SALE",
"user_name": "test@test.com",
"commercial_product_id": 3072,
"billing_type": "POSTPAID",
"subscription_type": "MOBILE",
"subscription_additional_details": {},
"addresses": [
{
"address_type": "INSTALLATION",
"address_lines": [
null
],
"contact_details": {
"contact_name": null,
"contact_phone_1": null,
"contact_phone_2": null,
"contact_email_address": null,
"contact_identity_document": null,
"additional_details": null
}
}
],
"current_status": "ACTIVE",
"current_status_date": "2017-09-15T22:00:00Z",
"cancellation_reason": {
"deactive_motive": "CANCELACION VENTA",
"reason": "SUBSCRIPTION_NOT_ACTIVATED_AFTER_WAITING_TIME"
},
"status_history": [
{
"status_date": "2017-09-15T22:00:00Z",
"status": "ACTIVE"
}
],
"contract_documents": [
"string"
]
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | string | Internal CRM unique subscription identifier | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
account_id* | string | internal unique identifier of the billable account the subscripton belongs to | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
account_bundles | object[] | array of account bundles the subscription has been associated to | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
sale_date* | string (date-time) | sale date | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
sale_type* | string
()
SALEADDSUBSCRIPTIONTOBUNDLEMIGRATION | subscription sale type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
user_name | string | user name of the user performing the subscription operation | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
commercial_product_id* | string | unique identifier of the commercial product associated to the subscription | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
billing_type* | string
()
POSTPAIDPREPAID | billing type name | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
subscription_type* | string
()
MOBILEBROADBANDLANDLINETVSECURITYDATASHARINGMULTISIMDEVICEINSURANCENETFLIXAPPLEWATCHAMAZONPRIMEAGILE_TVMAXORANGETVORANGETVLIBREDISNEY | subscription type name. Mapping between Mysim and MasSubscriptions subscription_type <ul> <li> PRE-PAGO -> MOBILE </li> <li> POST-PAGO -> MOBILE </li> <li> INTERNET FTTH-> BROADBAND </li> <li> INTERNET ADSL -> BROADBAND </li> <li> FIJO ANALOGICO-> LANDLINE </li> <li> FIJO DIGITAL -> LANDLINE </li> <li> AGILE TV -> TV </li> <li> SECURITY -> SECURITY </li> <li> DATASHARING -> DATASHARING </li> <li> MULTISIM -> MULTISIM </li> <li> DEVICEINSURANCE -> DEVICEINSURANCE </li> <li> NETFLIX -> NETFLIX </li> <li> APPLEWATCH -> APPLEWATCH </li> <li> AMAZONPRIME -> AMAZONPRIME </li> <li> MAX -> MAX </li> <li> ORANGE TV -> ORANGETV </li> <li> ORANGE TV LIBRE -> ORANGETVLIBRE </li> <li> DISNEY -> DISNEY </li> <li> AGILE_TV -> AGILE_TV </li> </ul> | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
subscription_additional_details | object | object | object | object | object | object | object | object | object | object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
addresses | object[] | array of addresses associated to the subscription | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
current_status* | string
()
SALEINCOMPLETESALECOMPLETEPRE-ACTIVEACTIVEPENDINGDEACTIVATIONPENDINGCANCELLATIONDEACTIVATEDCANCELLEDSALEREJECTEDSALECREATED | subscription status.Mapping between Mysim and MasSubscriptions status <ul> <li> INSTALADO (1) -> SALEINCOMPLETE, SALECOMPLETE, SALECREATED </li> <li> PRE-ACTIVADO (2) -> PRE-ACTIVE </li> <li> ACTIVO (3) -> ACTIVE </li> <li> BLOQUEO POR SALDO (4) -> ACTIVE (with services barred) </li> <li> TERMINADO (6) > DEACTIVATED, CANCELLED, SALEREJECTED </li> <li> BLOQUEO TEMPORAL (7) -> ACTIVE (with services barred) </li> <li> PENDIENTE TERMINACION (9) -> PENDINGDEACTIVATION </li> <li> BLOQUEO LIMITE CONSUMO (10) -> ACTIVE (with services barred) </li> <li> BLOQUEO POR IMPAGO (12) -> ACTIVE (with services barred) </li> <li> SUSPENSION PENDIENTE (39) -> ACTIVE </li> <li> RECONEXION PENDIENTE (40) -> ACTIVE (with services barred) </li> <li> PENDIENTE BLOQUEO TEMPORAL (50) -> ACTIVE </li> </ul> | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
current_status_date | string (date-time) | pre-activation date | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
cancellation_reason | object | cancellation reason | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
status_history | object[] | array of status changes associated to the subscription | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
contract_documents | string[] | array of contract document's ids related to the subscription | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Not Found A subscription with the specified criteria was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://subscriptions.masstack.com/v1/orgs/yoigo/subscriptions?filter_type=MSISDN&filter_value=345652' \
-H 'Accept: application/json' Get subscription shipping by subscription id and requested date
PATH PARAMETERS
Organization name
subscription unique identifier
QUERY PARAMETERS
requested date
OK OK
[
{
"account_id": 1233094,
"created_date": "2017-09-15T22:00:00Z",
"requested_date": "2017-09-15T22:00:00Z",
"shipping_date": "2017-09-15T22:00:00Z",
"item_number": 9806253,
"account_expedition_id": 1233094,
"logistics_id": 1233094,
"status": "CONFIRMED",
"address": "Carrer del Parc, 4-8, El Pont de Suert, Lleida, 25520",
"applicable_cost": {
"amount": 1,
"type": "PAY_ON_DELIVERY"
},
"product_type": "SIM",
"msisdn": 612121212,
"first_name": "test",
"last_name": "test",
"document_number": "Y4444444",
"email": "test@test",
"terminal_name": "terminal name",
"terminal_model": "16 blue 256GB"
}
] | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
account_id | integer (int32) | internal unique identifier of the billable account the account bundle belongs to | |||||||||||||||||
created_date | string (date-time) | created date | |||||||||||||||||
requested_date | string (date-time) | requested date | |||||||||||||||||
shipping_date | string (date) | shipping date | |||||||||||||||||
item_number | integer (int32) | ||||||||||||||||||
account_expedition_id | integer (int32) | internal unique identifier of the account expedition | |||||||||||||||||
logistics_id | string | internal unique identifier of the logistic | |||||||||||||||||
status | string | subscription shipping status | |||||||||||||||||
address | string | address > $address + $city + $state + $zipcode | |||||||||||||||||
applicable_cost | object | ||||||||||||||||||
| |||||||||||||||||||
product_type | string | product type | |||||||||||||||||
msisdn | string | Reserved sim through devices-api in previous call | |||||||||||||||||
first_name | string | user name performing the operation | |||||||||||||||||
last_name | string | user last name performing the operation | |||||||||||||||||
document_number | string | user document number performing the operation | |||||||||||||||||
email | string | user email performing the operation | |||||||||||||||||
terminal_name | string | name of the corresponding terminal | |||||||||||||||||
terminal_model | string | name of the terminal model | |||||||||||||||||
Internal Server Error Unexpected error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://subscriptions.masstack.com/v1/orgs/masmovil/subscriptions/5652763/shippings?requested_date=2017-09-15T22%3A00%3A00Z' \
-H 'Accept: application/json' Get contracts providing certain search criteria
PATH PARAMETERS
Organization name
QUERY PARAMETERS
Subscription unique identifier
Subscriptions bundle unique identifier
Subscription device unique identifier
OK OK
{
"contracts": [
{
"url_expiration_date": "2023-01-27T03:44:52.000Z",
"public_url": "https://storage.googleapis.com/mas-documents-prod/cbd2e693-d71a-4cee-8313-1972acc0394d",
"media_type": "application/pdf",
"name": "my_doc_name",
"type": "ONLYMOBILE",
"status": "SIGNATURE EXPIRED",
"created_date": "2023-01-27T03:44:52.000Z",
"contract_id": "ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
contracts | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||
Not Found A contract with the specified id was not found
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors* | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal server error
{
"errors": [
{
"code": "XXX_21201",
"title": "TITLE_OF_THE_DOMAIN_ERROR",
"ref": "https://developers.masstack.com/en/docs/apis_domain_doc_swagger/2/apioverview/#erro",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
[...]
